function set_scene(n) {
  hide_class('item');
  hide('scene');
  g_scene=n;
  var scene=document.getElementById('scene');
  scene.src='images/scenes/'+n+'.jpg';
 }
 function extras() {
 	show('scene');
 	var n=g_scene;
  if (n==17 && g_red) show('red');
  if (n==15 && g_orange) show('orange');
  if (n==5 && g_yellow) {show('yellow'); show('rock');}
  if (n==16 && g_green) show('green');
  if (n==3 && g_blue) show('blue');
  if (n==7 && g_indigo) show('indigo');
  if (n==6 && g_violet) show('violet');
  if (n==9 && g_door) show('door');
  if (n==5 && g_rock) show_class('cell');
  var urdl=g_layout[n];
  if (urdl[0]>0) show('up');
  if (urdl[1]>0) show('right');
  if (urdl[2]>0) show('down');
  if (urdl[3]>0) show('left');
  if (n==1) {
    if (!g_red) show('r');
    if (!g_orange) show('o');
    if (!g_yellow) show('y');
    if (!g_green) show('g');
    if (!g_blue) show('b');
    if (!g_indigo) show('i');
    if (!g_violet) show('v');
  }
  if (g_scene==1 && g_count==0) {
    message('Search the island for the seven colours to make the rainbow.');
  }
}
function message(m) {
  var el=document.getElementById('message');
  el.innerHTML=m;
  show('message');
}
